## django-fsm 2.8.0

=== requirements.txt ===
django>=1.6

## django-fsm 2.2.1

=== debian/changelog ===
django-fsm (2.2.1-1) unstable; urgency=low

  * Initial release (Closes: #789755).

 -- Michael Fladischer <fladi@debian.org>  Wed, 24 Jun 2015 09:10:10 +0200

=== debian/control ===
Source: django-fsm
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-django (>= 1.6),
               python-setuptools,
               python3-all,
               python3-django,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Homepage: https://github.com/kmmbvnr/django-fsm
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-fsm/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-fsm/trunk/

Package: python-django-fsm
Architecture: all
Depends: python-django (>= 1.6),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-pygraphviz
Description: Django friendly finite state machine support
 django-fsm adds declarative states management for django models. Instead of
 adding some state field to a django model, and managing its values by hand,
 you could use FSMState field and mark model methods with the transition
 decorator. Your method could contain the side-effects of the state change.

Package: python3-django-fsm
Architecture: all
Depends: python3-django,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-pygraphviz
Description: Django friendly finite state machine support (Python3 version)
 django-fsm adds declarative states management for django models. Instead of
 adding some state field to a django model, and managing its values by hand,
 you could use FSMState field and mark model methods with the transition
 decorator. Your method could contain the side-effects of the state change.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-fsm
export PYBUILD_TEST="{interpreter} tests/manage.py"

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} tests/manage.py" dh_auto_test

override_dh_installchangelogs:
	awk '/Changelog/,EOF { print $0 }' README.md >changelog
	dh_installchangelogs -- changelog

## django-fsm 2.3.0

=== debian/changelog ===
django-fsm (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh remove_django_jenkins.patch.
  * README.md has been renamed to README.rst.
  * Add python(3)-django-guardian to Build-Depends.
  * Initialize git-dpm.

 -- Michael Fladischer <fladi@debian.org>  Fri, 16 Oct 2015 11:50:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,18 @@
                dh-python,
                python-all,
                python-django (>= 1.6),
+               python-django-guardian,
                python-setuptools,
                python3-all,
                python3-django,
+               python3-django-guardian,
                python3-setuptools
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: https://github.com/kmmbvnr/django-fsm
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-fsm/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-fsm/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-fsm.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-fsm.git
 
 Package: python-django-fsm
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-fsm-$1.tar.gz/ \
https://github.com/kmmbvnr/django-fsm/releases \
/kmmbvnr/django-fsm/archive/([\d\.]+)\.tar\.gz

## django-fsm 2.4.0

=== debian/changelog ===
django-fsm (2.4.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Clean files in django_fsm.egg-info to allow two builds in a row.
  * Bump Standards-Version to 3.9.8.

 -- Michael Fladischer <fladi@debian.org>  Fri, 20 May 2016 10:48:37 +0200

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
                python3-django,
                python3-django-guardian,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: https://github.com/kmmbvnr/django-fsm
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-fsm.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-fsm.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-fsm.git
 
 Package: python-django-fsm
 Architecture: all

## django-fsm 2.6.0

=== debian/changelog ===
django-fsm (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jun 2017 20:56:30 +0200

django-fsm (2.5.0-1~exp1) experimental; urgency=low

  * New upstream release.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Mar 2017 11:49:23 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-django,
                python3-django-guardian,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: https://github.com/kmmbvnr/django-fsm

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,5 @@
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} tests/manage.py" dh_auto_test
 
 override_dh_installchangelogs:
-	awk '/Changelog/,EOF { print $0 }' README.md >changelog
+	awk '/^Changelog/,EOF { print $0 }' README.rst >changelog
 	dh_installchangelogs -- changelog

## django-fsm 2.6.1

=== debian/changelog ===
django-fsm (2.6.1-2) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 20 Aug 2019 12:47:04 +0500

django-fsm (2.6.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Michael Fladischer ]
  * Fix d/watch to use correct github repository.
  * New upstream release.
  * Add debian/gbp.conf.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Jul 2019 11:41:25 +0200

=== debian/control ===
Source: django-fsm
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-django,
 python3-django-guardian,
 python3-setuptools,
Standards-Version: 4.4.0
Homepage: https://github.com/kmmbvnr/django-fsm
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-fsm
Vcs-Git: https://salsa.debian.org/python-team/modules/django-fsm.git
Testsuite: autopkgtest-pkg-python

Package: python3-django-fsm
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pygraphviz,
Description: Django friendly finite state machine support (Python3 version)
 django-fsm adds declarative states management for django models. Instead of
 adding some state field to a django model, and managing its values by hand,
 you could use FSMState field and mark model methods with the transition
 decorator. Your method could contain the side-effects of the state change.
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-fsm-$1.tar.gz/ \
https://github.com/viewflow/django-fsm/releases \
/viewflow/django-fsm/archive/([\d\.]+)\.tar\.gz

## django-fsm 2.7.1

=== debian/changelog ===
django-fsm (2.7.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Fri, 23 Oct 2020 17:02:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: django-fsm
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-django,
  python3-django-guardian,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/kmmbvnr/django-fsm
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-fsm
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-fsm.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-fsm
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-fsm.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-django-fsm
 Architecture: all

## django-fsm 2.8.0

=== debian/changelog ===
django-fsm (2.8.0-1) unstable; urgency=low

  * New upstream release.
  * Use github tags instead of releases for d/watch.
  * Depend on python3-all for autopkgtests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Mon, 27 Dec 2021 20:43:20 +0000

django-fsm (2.7.1-2) unstable; urgency=medium

  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Sat, 04 Sep 2021 19:08:39 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
  python3-django,
  python3-django-guardian,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/kmmbvnr/django-fsm
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-fsm
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-fsm.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-django-fsm

## django-fsm 2.8.1

=== debian/changelog ===
django-fsm (2.8.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Sun, 18 Sep 2022 20:30:07 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-django,
  python3-django-guardian,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/kmmbvnr/django-fsm
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-fsm
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-fsm.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_TEST="{interpreter} tests/manage.py"
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} tests/manage.py" dh_auto_test

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-fsm-$1.tar.gz/ \
https://github.com/viewflow/django-fsm/tags \
/viewflow/django-fsm/archive/refs/tags/([\d\.]+)\.tar\.gz
